Skip to main content

Update Users

PUThttps://api.coralogix.com/mgmt/openapi/5/aaa/users/v2

Updates team members for the specified team.

Authorizations

Authorizationstringheaderrequired
API key authentication

Request​

Query Parameters

    team_id# int64

    Possible values: >= 0

    Team ID containing the users to update. Optional on the /aaa/users/v2 routes, which bind no team in the path: omit it and the team of the API key making the call is used.

Body

application/json

List of users to update. Multiple users can be updated in a single request.

    userAccountId#int64

    User account ID of the user to update

    Possible values: >= 0

    userId#string

    Stable id of the user to update, as an alternative to userAccountId. Mutually exclusive with userAccountId: exactly one must be set.

    Possible values: non-empty and <= 255 characters, Value must match regular expression ^[\s\S]+$

    Template containing updated user properties. Only provided fields will be updated.

Response

application/json

Response confirming the successful update of users. Contains the user account IDs of all users that were updated.

    userAccountIds#int64[]

    List of user account IDs for the successfully updated users

    Full details of the successfully updated users, as returned by GetUser.